All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.discovery
Class LookupPolicyTimeout

    com.sas.services.discovery.LookupPolicyTimeout

All Implemented Interfaces:
  LookupPolicyInterface

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class LookupPolicyTimeout

implements LookupPolicyInterface

A service discovery policy that will re-attempt to lookup services until the specified timeout occurs.

Since:
  1.0

Constructor Summary
`LookupPolicyTimeout()` Constructs a service lookup timeout policy using a default timeout.
`LookupPolicyTimeout(long timeoutInMsec)` Constructs an instance of a service lookup timeout policy using the specified timeout.

Method Summary
`boolean` | `isOKToRetryLookup(java.lang.String serviceLookupRequestId)` In the event that a local service lookup fails to return any results, this method will be invoked to determine whether or not the service lookup should be re-attempted.
`void` | `serviceLookupInitiated(java.lang.String serviceLookupRequestId)` Notifies the policy implementation that a service lookup has started.
`void` | `serviceLookupTerminated(java.lang.String serviceLookupRequestId)` Notifies the policy implementation that a service lookup has been terminated.
`void` | `setTimeout(long timeoutInMsec)` Sets the service lookup timeout.
`java.lang.String` | `toString()` Gets a string representation of the state of this object.

Constructor Detail

### LookupPolicyTimeout

    public LookupPolicyTimeout()

  Constructs a service lookup timeout policy using a default timeout.

### LookupPolicyTimeout

    public LookupPolicyTimeout(long timeoutInMsec)

  Constructs an instance of a service lookup timeout policy using the specified timeout.

  Parameters:
    `timeoutInMsec` - Service lookup timeout in msec.
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid timeout parameter is specified.

Method Detail

### setTimeout

    public final void setTimeout(long timeoutInMsec)

  Sets the service lookup timeout.

  Parameters:
    `timeoutInMsec` - Service lookup timeout in msec.

### serviceLookupInitiated

    public final void serviceLookupInitiated(java.lang.String serviceLookupRequestId)

  Notifies the policy implementation that a service lookup has started.

  Specified by:
    `serviceLookupInitiated` in interface `LookupPolicyInterface`
  Parameters:
    `serviceLookupRequestId` - An ID that the policy control implementation can use to distinguish between multiple service lookup requests. This value will be used in future interactions between the local discovery service and this policy implementation. Refer to the following methods for additional details.
    - `(String) isOKToRetryLookup (serviceLookupRequestId)`
    - `(String) serviceLookupTerminated (serviceLookupRequestId)`

### serviceLookupTerminated

    public final void serviceLookupTerminated(java.lang.String serviceLookupRequestId)

  Notifies the policy implementation that a service lookup has been terminated.

  Specified by:
    `serviceLookupTerminated` in interface `LookupPolicyInterface`
  Parameters:
    `serviceLookupRequestId` - An ID that the policy control implementation can use to distinguish between multiple service lookup requests. This value was originally provided to the policy implementation when it was notified of the start of a service lookup via the `(String) serviceLookupInitiated (serviceLookupRequestId)` method.

### isOKToRetryLookup

    public final boolean isOKToRetryLookup(java.lang.String serviceLookupRequestId)

  In the event that a local service lookup fails to return any results, this method will be invoked to determine whether or not the service lookup should be re-attempted.

  Specified by:
    `isOKToRetryLookup` in interface `LookupPolicyInterface`
  Parameters:
    `serviceLookupRequestId` - The ID associated with a particular service lookup request. The policy control implementation can use to distinguish between multiple service lookup requests. This value was originally provided to the policy implementation when it was notified of the start of a service lookup via the `(String) serviceLookupInitiated (serviceLookupRequestId)` method.
  Returns:
    `true` if the service lookup should be re-attempted or `false` if it shouldn't.

### toString

    public final java.lang.String toString()

  Gets a string representation of the state of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Descriptive string detailing the currently specified timeout parameters:
    - maximum timeout (msec)

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.